#!/bin/bash
tcount=`aliyuncli ecs DescribeImages --ImageOwnerAlias marketplace --output json --filter TotalCount`
pageNum=1
cat /dev/null >/tmp/imageids.txt
while ((tcount>0))
do
        aliyuncli ecs DescribeImages --ImageOwnerAlias marketplace --filter Images.Image[*].ImageId  --PageSize 100 --PageNumber $pageNum --output json --filter Images.Image[*].ImageId  | sed '1d' | sed '$d' | sed 's/,//g' |  sed 's/"//g'| sed 's/ //g'>>/tmp/imageids.txt
        let pageNum++
        let tcount-=100
done

cat /tmp/imageids.txt  | while read line
do
	isSubscribed=`aliyuncli ecs DescribeImages --ImageOwnerAlias marketplace --ImageId $line --filter ImageIds.Image[*] --filter Images.Image[*].IsSubscribed --output json | sed '1d' | sed '$d' | sed 's/ //g'`
	if [[ $isSubscribed = "true" ]];then
	echo $line `aliyuncli ecs DescribeImages --ImageOwnerAlias marketplace --ImageId $line --filter ImageIds.Image[*] --filter Images.Image[*].ImageName --output json | sed '1d' | sed '$d' | sed 's/ //g'` >>imagesInfo.txt
	fi
done	
native2ascii -encoding UTF-8 -reverse imagesInfo.txt imagesInfoCN.txt
rm -rf imagesInfo.txt
cat imagesInfoCN.txt
